(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     25400,        568]
NotebookOptionsPosition[     25573,        554]
NotebookOutlinePosition[     26293,        579]
CellTagsIndexPosition[     26250,        576]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Moment of a Force in 3D\n",
 StyleBox["Qingchang Liu, Baoxing Xu \nUniversity of Virginia, 2017-09-02",
  FontSize->16,
  FontColor->GrayLevel[0]]
}], "Title",
 TextAlignment->Center,
 ExpressionUUID -> "71fab4c4-dc48-46f6-b023-04b8f9b31297"],

Cell[TextData[{
 "The moment of a force ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["F", "\[RightVector]"], TraditionalForm]],
  ExpressionUUID -> "996ee250-0cb3-448f-8ef4-7a21804eab92"],
 " about point O, or actually about the moment axis passing through O and \
perpendicular to the plane containing O and ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["F", "\[RightVector]"], TraditionalForm]],
  ExpressionUUID -> "452d85cd-1c4d-41db-b43f-5fee4436a5f9"],
 ", can be expressed using the vector cross product, namely ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     OverscriptBox["M", "\[RightVector]"], "O"], "=", 
    RowBox[{
     OverscriptBox["r", "\[RightVector]"], "\[Times]", 
     OverscriptBox["F", "\[RightVector]"]}]}], TraditionalForm]],
  ExpressionUUID -> "fad7733c-875b-4e73-ad5e-fd68ed3547f2"],
 ". Here ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["r", "\[RightVector]"], TraditionalForm]],
  ExpressionUUID -> "f94579c7-8415-4521-a168-8676cb1d2aa3"],
 " represents a position vector directed from O to any point on the line of \
action of ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["F", "\[RightVector]"], TraditionalForm]],
  ExpressionUUID -> "192b88ac-11a3-409f-9b83-73a85b3120be"],
 ". \nFor an object with unbalanced moment ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["M", "\[RightVector]"], "O"], TraditionalForm]],
  ExpressionUUID -> "2dfe3b0d-24ea-4915-a63e-ac803c549463"],
 ", the equation of motion is described by ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     OverscriptBox["M", "\[RightVector]"], "O"], "=", " ", 
    RowBox[{
     SubscriptBox["I", "O"], 
     OverscriptBox[
      OverscriptBox["\[Theta]", "\[DoubleDot]"], "\[RightVector]"]}]}], 
   TraditionalForm]],
  ExpressionUUID -> "d898e2c6-1e9b-4d4f-a615-c2d806f7c43c"],
 ", where ",
 Cell[BoxData[
  FormBox[
   OverscriptBox[
    OverscriptBox["\[Theta]", "\[DoubleDot]"], "\[RightVector]"], 
   TraditionalForm]],
  ExpressionUUID -> "a80fc239-60ee-40bf-a411-30fef0d8798c"],
 " is the angular acceleration, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["I", "O"], TraditionalForm]],
  ExpressionUUID -> "42f13dd8-ba9c-4009-aaa9-0832f3fde5e4"],
 " is the moment of inertia of the object with respect to O. \nFor the \
following problem, we will set the position of O and the position of a sphere \
with the center at C. We have a force ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox["F", "\[RightVector]"], ","}], TraditionalForm]],
  ExpressionUUID -> "0f03aaf2-0c1a-4071-b74f-a907507c08db"],
 " with the magnitude, directions and acting positions at C. The force will \
produce the moment with respect to point O, and the moment may cause the \
sphere to rotate with respect to O. We can see the rotation once the moment \
is non-zero. Also, we can see that the sphere will keep in static once the \
moment is zero. "
}], "Text",
 ExpressionUUID -> "2c018161-b236-41b6-87e0-803e8bdacf63"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`enlarge$$ = 1, $CellContext`fx$$ = 
    1.5, $CellContext`fy$$ = 2.5, $CellContext`fz$$ = 
    1.5, $CellContext`opa1$$ = 1, $CellContext`opa2$$ = 
    1, $CellContext`opa3$$ = 1, $CellContext`opa4$$ = 1, $CellContext`opa5$$ =
     1, $CellContext`R$$ = 0.5, $CellContext`rx$$ = 2, $CellContext`ry$$ = 
    0, $CellContext`rz$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:65e0\:6807\:9898\"", Typeset`specs$$ = {{{
       Hold[$CellContext`enlarge$$], 1, "Plot Range"}, {1, 2, 3, 4}}, {{
       Hold[$CellContext`opa1$$], 1, 
       Row[{"Coordinates visibility", 
         Spacer[15]}]}, {1 -> "On", 0 -> "off"}}, {{
       Hold[$CellContext`rx$$], 2, 
       Style[
        Subscript[$CellContext`r, $CellContext`x], Italic]}, -5, 5}, {{
       Hold[$CellContext`ry$$], 0, 
       Style[
        Subscript[$CellContext`r, $CellContext`y], Italic]}, -5, 5}, {{
       Hold[$CellContext`rz$$], 1, 
       Style[
        Subscript[$CellContext`r, $CellContext`z], Italic]}, -5, 5}, {{
       Hold[$CellContext`opa2$$], 1, 
       Text[
        Style[
         Row[{"Show Vector \!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", 
           Spacer[45]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa3$$], 1, 
       Text[
        Style[
         Row[{"Show Sphere", 
           Spacer[54]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`R$$], 0.5}, 0.0001, 3}, {{
       Hold[$CellContext`fx$$], 1.5, 
       Style[
        Subscript[$CellContext`F, $CellContext`x], Italic]}, -5, 5}, {{
       Hold[$CellContext`fy$$], 2.5, 
       Style[
        Subscript[$CellContext`F, $CellContext`y], Italic]}, -5, 5}, {{
       Hold[$CellContext`fz$$], 1.5, 
       Style[
        Subscript[$CellContext`F, $CellContext`z], Italic]}, -5, 5}, {{
       Hold[$CellContext`opa4$$], 1, 
       Text[
        Style[
         Row[{"Show Force \!\(\*OverscriptBox[\(F\), \(\[RightVector]\)]\)", 
           Spacer[50]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa5$$], 1, 
       Text[
        Style[
         Row[{
          "Show Moment \!\(\*SubscriptBox[OverscriptBox[\(M\), \(\
\[RightVector]\)], \(o\)]\)", 
           Spacer[30]}], 12]]}, {1 -> "On", 0 -> "Off"}}, {
      Hold[
       Grid[{{
          Manipulate`Place[1]}, {
          Manipulate`Place[2]}, {
          Row[{
            Text[
             Style[
             "Vector \!\(\*OverscriptBox[\(r\), \
\(\[RightVector]\)]\)=[\!\(\*SubscriptBox[\(r\), \(x\)]\) \!\(\*SubscriptBox[\
\(r\), \(y\)]\) \!\(\*SubscriptBox[\(r\), \(z\)]\)]", 
              RGBColor[0, 
               Rational[2, 3], 0], 12]]}, Alignment -> Left]}, {
          Manipulate`Place[3]}, {
          Manipulate`Place[4]}, {
          Manipulate`Place[5]}, {
          Manipulate`Place[6]}, {
          Manipulate`Place[7]}, {
          Row[{
            Text[
             Style["Radius of Sphere", 
              RGBColor[
               Rational[2, 3], 
               Rational[2, 3], 0], 12]]}, Alignment -> Left]}, {
          Manipulate`Place[8]}, {
          Row[{
            Text[
             Style[
             "Force \!\(\*OverscriptBox[\(F\), \
\(\[RightVector]\)]\)=[\!\(\*SubscriptBox[\(F\), \(x\)]\) \!\(\*SubscriptBox[\
\(F\), \(y\)]\) \!\(\*SubscriptBox[\(F\), \(z\)]\)]", 
              RGBColor[1, 0, 0], 12]]}, Alignment -> Left]}, {
          Manipulate`Place[9]}, {
          Manipulate`Place[10]}, {
          Manipulate`Place[11]}, {
          Manipulate`Place[12]}, {
          Manipulate`Place[13]}}, Alignment -> Left, 
        Spacings -> {Automatic, 0.7}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {618., {355., 364.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`enlarge$15776$$ = 0, $CellContext`opa1$15777$$ = 
    False, $CellContext`rx$15778$$ = 0, $CellContext`ry$15779$$ = 
    0, $CellContext`rz$15780$$ = 0, $CellContext`opa2$15781$$ = 
    False, $CellContext`opa3$15782$$ = False, $CellContext`R$15783$$ = 
    0, $CellContext`fx$15784$$ = 0, $CellContext`fy$15785$$ = 
    0, $CellContext`fz$15786$$ = 0, $CellContext`opa4$15787$$ = 
    False, $CellContext`opa5$15788$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`enlarge$$ = 1, $CellContext`fx$$ = 
        1.5, $CellContext`fy$$ = 2.5, $CellContext`fz$$ = 
        1.5, $CellContext`opa1$$ = 1, $CellContext`opa2$$ = 
        1, $CellContext`opa3$$ = 1, $CellContext`opa4$$ = 
        1, $CellContext`opa5$$ = 1, $CellContext`R$$ = 0.5, $CellContext`rx$$ = 
        2, $CellContext`ry$$ = 0, $CellContext`rz$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`enlarge$$, $CellContext`enlarge$15776$$, 0], 
        Hold[$CellContext`opa1$$, $CellContext`opa1$15777$$, False], 
        Hold[$CellContext`rx$$, $CellContext`rx$15778$$, 0], 
        Hold[$CellContext`ry$$, $CellContext`ry$15779$$, 0], 
        Hold[$CellContext`rz$$, $CellContext`rz$15780$$, 0], 
        Hold[$CellContext`opa2$$, $CellContext`opa2$15781$$, False], 
        Hold[$CellContext`opa3$$, $CellContext`opa3$15782$$, False], 
        Hold[$CellContext`R$$, $CellContext`R$15783$$, 0], 
        Hold[$CellContext`fx$$, $CellContext`fx$15784$$, 0], 
        Hold[$CellContext`fy$$, $CellContext`fy$15785$$, 0], 
        Hold[$CellContext`fz$$, $CellContext`fz$15786$$, 0], 
        Hold[$CellContext`opa4$$, $CellContext`opa4$15787$$, False], 
        Hold[$CellContext`opa5$$, $CellContext`opa5$15788$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`size$, $CellContext`t$, $CellContext`ts$, \
$CellContext`te$, $CellContext`rou$, $CellContext`po$, $CellContext`pf$, \
$CellContext`vr$, $CellContext`vf$, $CellContext`vrf$, $CellContext`vof$, \
$CellContext`vm$, $CellContext`i$, $CellContext`a$, $CellContext`b$, \
$CellContext`c$, $CellContext`d$, $CellContext`e$, $CellContext`f$, \
$CellContext`lor$, $CellContext`lof$, $CellContext`\[Gamma]$, \
$CellContext`Fi$, $CellContext`Fe$, $CellContext`Fd$, $CellContext`Fi1$, \
$CellContext`Fi2$, $CellContext`zn$, $CellContext`zt$, $CellContext`zr$, \
$CellContext`dwf0$, $CellContext`dwf1$, $CellContext`dwf2$, \
$CellContext`dwf3$, $CellContext`dwf4$, $CellContext`dwf5$, \
$CellContext`dwf6$, $CellContext`dwf7$, $CellContext`dwf8$, \
$CellContext`dw1$, $CellContext`label$}, $CellContext`size$ = 
         5 $CellContext`enlarge$$; $CellContext`ts$ = 0; $CellContext`te$ = 
         15; $CellContext`rou$ = 
         1; $CellContext`po$ = {0, 0, 
          0}; $CellContext`vr$ = {$CellContext`rx$$, $CellContext`ry$$, \
$CellContext`rz$$}; $CellContext`vf$ = {$CellContext`fx$$, $CellContext`fy$$, \
$CellContext`fz$$}; $CellContext`vm$ = 
         Cross[$CellContext`vr$, $CellContext`vf$]; $CellContext`vrf$ = \
$CellContext`vr$ + $CellContext`vf$; $CellContext`lor$ = 
         Norm[$CellContext`vr$]; $CellContext`lof$ = 
         Norm[$CellContext`vf$]; $CellContext`i$ = (((($CellContext`rou$ (4/
               3)) Pi) ($CellContext`R$$^3 - (
              0.1 $CellContext`R$$)^3)) $CellContext`rou$) \
$CellContext`lor$^2; $CellContext`a$ = 
         Normalize[$CellContext`vr$]; $CellContext`c$ = 
         Normalize[$CellContext`vf$]; $CellContext`b$ = 
         Normalize[-
           Cross[$CellContext`a$, $CellContext`vm$]]; $CellContext`d$ = 
         Normalize[-
           Cross[$CellContext`c$, $CellContext`vm$]]; $CellContext`\[Gamma]$ = 
         NDSolveValue[{$CellContext`i$ 
             Derivative[2][$CellContext`\[Theta]][$CellContext`t$] == 
            Norm[$CellContext`vm$], $CellContext`\[Theta][0] == 0, 
            Derivative[1][$CellContext`\[Theta]][0] == 
            0}, $CellContext`\[Theta], {$CellContext`t$, $CellContext`ts$, \
$CellContext`te$}]; $CellContext`Fi$ = {($CellContext`lor$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`a$, 1] + ($CellContext`lor$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`b$, 1], ($CellContext`lor$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`a$, 2] + ($CellContext`lor$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`b$, 2], ($CellContext`lor$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`a$, 3] + ($CellContext`lor$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`b$, 3]}; $CellContext`Fe$ = {($CellContext`lof$ 
             Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`c$, 1] + ($CellContext`lof$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`d$, 1], ($CellContext`lof$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`c$, 2] + ($CellContext`lof$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`d$, 2], ($CellContext`lof$ Cos[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`c$, 3] + ($CellContext`lof$ Sin[
               $CellContext`\[Gamma]$[$CellContext`t$]]) 
            Part[$CellContext`d$, 
              3]}; $CellContext`Fi1$ = {($CellContext`lor$ Cos[Pi/2]) 
            Part[$CellContext`a$, 1] + ($CellContext`lor$ Sin[Pi/2]) 
            Part[$CellContext`b$, 1], ($CellContext`lor$ Cos[Pi/2]) 
            Part[$CellContext`a$, 2] + ($CellContext`lor$ Sin[Pi/2]) 
            Part[$CellContext`b$, 2], ($CellContext`lor$ Cos[Pi/2]) 
            Part[$CellContext`a$, 3] + ($CellContext`lor$ Sin[Pi/2]) 
            Part[$CellContext`b$, 
              3]}; $CellContext`Fi2$ = {($CellContext`lor$ Cos[Pi/2 + Pi/10]) 
            Part[$CellContext`a$, 1] + ($CellContext`lor$ Sin[Pi/2 + Pi/10]) 
            Part[$CellContext`b$, 1], ($CellContext`lor$ Cos[Pi/2 + Pi/10]) 
            Part[$CellContext`a$, 2] + ($CellContext`lor$ Sin[Pi/2 + Pi/10]) 
            Part[$CellContext`b$, 2], ($CellContext`lor$ Cos[Pi/2 + Pi/10]) 
            Part[$CellContext`a$, 3] + ($CellContext`lor$ Sin[Pi/2 + Pi/10]) 
            Part[$CellContext`b$, 3]}; $CellContext`zn$ = 
         0.2 $CellContext`Fi$; $CellContext`zt$ = 
         0.2 $CellContext`vm$; $CellContext`zr$ = 
         0.2 $CellContext`Fi$ + 0.2 $CellContext`vm$; $CellContext`label$ = 
         If[$CellContext`opa5$$ > 0, 
           Text[
            Style[
             
             Row[{"\!\(\*\nStyleBox[FormBox[SubscriptBox[OverscriptBox[\"M\", \
\"\[RightVector]\"], \"O\"],\n  TraditionalForm],\nFontSlant->\"Italic\"]\)  \
= ", 
               Norm[$CellContext`vm$], 
               Spacer[5], 
               Normalize[$CellContext`vm$]}], 12, Blue, 
             Thickness[0.1]]]]; $CellContext`dwf0$ = {
           Opacity[$CellContext`opa1$$], 
           Dashing[{}], 
           Thickness[0.0025], 
           Arrowheads[0.02], 
           Arrow[{{-$CellContext`size$, 0, 0}, {$CellContext`size$, 0, 0}}], 
           Arrow[{{0, -$CellContext`size$, 0}, {0, $CellContext`size$, 0}}], 
           Arrow[{{0, 0, -$CellContext`size$}, {0, 0, $CellContext`size$}}], 
           Text[
           "\!\(\*\nStyleBox[\"x\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {
            1.1 $CellContext`size$, (-0.05) $CellContext`size$, (-0.05) \
$CellContext`size$}], 
           Text[
           "\!\(\*\nStyleBox[\"y\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$, 
             1.1 $CellContext`size$, 0.05 $CellContext`size$}], 
           Text[
           "\!\(\*\nStyleBox[\"z\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$, (-0.05) \
$CellContext`size$, 1.1 $CellContext`size$}]}; $CellContext`dwf1$ = {Black, 
           PointSize[0.015], 
           Point[{0, 0, 0}], 
           Text[
            Style["O", 12, Bold], {0, 0, -0.5}]}; $CellContext`dwf2$ = {
           Opacity[$CellContext`opa2$$], 
           Darker[Green], 
           Thickness[0.007], 
           Arrowheads[0.03], 
           Arrow[{{0, 0, 0}, $CellContext`Fi$}], 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", 12, Bold], {
            Part[$CellContext`Fi$, 1] - 1, 
             Part[$CellContext`Fi$, 2], Part[$CellContext`Fi$, 3] - 
             1}]}; $CellContext`dwf3$ = {
           Opacity[$CellContext`opa3$$ 0.5], Yellow, 
           
           SphericalShell[$CellContext`Fi$, {$CellContext`R$$ 
             0.1, $CellContext`R$$}]}; $CellContext`dwf4$ = {
           Opacity[$CellContext`opa4$$], Red, 
           Thickness[0.007], 
           Arrowheads[0.03], 
           Arrow[{$CellContext`Fi$, $CellContext`Fi$ + $CellContext`Fe$}], 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(F\), \(\[RightVector]\)]\)", 12, Bold], {
            Part[$CellContext`Fi$, 1] + Part[$CellContext`Fe$, 1] + 0.5, 
             Part[$CellContext`Fi$, 2] + Part[$CellContext`Fe$, 2], 
             Part[$CellContext`Fi$, 3] + 
             Part[$CellContext`Fe$, 3]}]}; $CellContext`dwf5$ = {
           Opacity[(0.5 $CellContext`opa4$$) $CellContext`opa2$$], Cyan, 
           
           Triangle[{$CellContext`po$, $CellContext`Fi$, $CellContext`Fi$ + \
$CellContext`Fe$}]}; $CellContext`dwf6$ = {
           Opacity[$CellContext`opa5$$], Blue, 
           Thickness[0.007], 
           Arrowheads[0.03], 
           Arrow[{$CellContext`po$, $CellContext`po$ + $CellContext`vm$}], 
           Text[
            Style[
            "\!\(TraditionalForm\`\*SubscriptBox[OverscriptBox[\(M\), \(\
\[RightVector]\)], \(O\)]\)", 12, Bold], {
             Part[$CellContext`vm$, 1], 
             Part[$CellContext`vm$, 2], Part[$CellContext`vm$, 3] + 0.5}], 
           Magenta, 
           Arrowheads[0.045], 
           
           Cone[{0.705 $CellContext`vm$ + (Normalize[$CellContext`Fi1$] 0.1) 
              Norm[$CellContext`vm$], 
             0.705 $CellContext`vm$ + (Normalize[$CellContext`Fi2$] 0.1) 
              Norm[$CellContext`vm$]}, 0.04 
            Norm[$CellContext`vm$]]}; $CellContext`dwf7$ = {
           Opacity[$CellContext`opa5$$ $CellContext`opa2$$], Black, 
           Thickness[0.005], 
           Line[{$CellContext`zn$, $CellContext`zr$}], 
           Line[{$CellContext`zt$, $CellContext`zr$}]}; $CellContext`dwf8$ = {
           Opacity[$CellContext`opa5$$ 0.], Blue, 
           
           Cylinder[{0.7 $CellContext`vm$, 0.71 $CellContext`vm$}, 0.1 
            Norm[$CellContext`vm$]]}; $CellContext`dw1$ = 
         Graphics3D[{$CellContext`dwf0$, $CellContext`dwf1$, \
$CellContext`dwf2$, $CellContext`dwf3$, $CellContext`dwf4$, 
            
            EdgeForm[], $CellContext`dwf5$, $CellContext`dwf6$, \
$CellContext`dwf7$, 
            EdgeForm[
             Directive[Thick, Magenta, 
              Opacity[$CellContext`opa5$$]]], $CellContext`dwf8$}, PlotRange -> 
           1.05 $CellContext`size$, Boxed -> False, 
           ViewPoint -> {
            0.5 $CellContext`size$, -$CellContext`size$, 
             0.5 $CellContext`size$}, PlotLabel -> 
           Pane[$CellContext`label$, Alignment -> Left, ImageSize -> 
             300]]; $CellContext`an = Animate[
           Evaluate[
            
            ReplaceAll[$CellContext`dw1$, {$CellContext`t$ -> \
$CellContext`time}]], {{$CellContext`time, $CellContext`ts$, 
             "t"}, $CellContext`ts$, $CellContext`te$}, 
           DefaultDuration -> $CellContext`te$, AnimationRunning -> False, 
           ImageMargins -> Small]; $CellContext`an], 
      "Specifications" :> {{{$CellContext`enlarge$$, 1, "Plot Range"}, {1, 2, 
         3, 4}, ImageSize -> Tiny, ControlType -> Setter, ControlPlacement -> 
         1}, {{$CellContext`opa1$$, 1, 
          Row[{"Coordinates visibility", 
            Spacer[15]}]}, {1 -> "On", 0 -> "off"}, ControlType -> 
         RadioButton, ControlPlacement -> 2}, {{$CellContext`rx$$, 2, 
          Style[
           Subscript[$CellContext`r, $CellContext`x], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         3}, {{$CellContext`ry$$, 0, 
          Style[
           Subscript[$CellContext`r, $CellContext`y], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         4}, {{$CellContext`rz$$, 1, 
          Style[
           Subscript[$CellContext`r, $CellContext`z], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         5}, {{$CellContext`opa2$$, 1, 
          Text[
           Style[
            
            Row[{"Show Vector \!\(\*OverscriptBox[\(r\), \
\(\[RightVector]\)]\)", 
              Spacer[45]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 6}, {{$CellContext`opa3$$, 1, 
          Text[
           Style[
            Row[{"Show Sphere", 
              Spacer[54]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 7}, {{$CellContext`R$$, 0.5}, 
         0.0001, 3, ImageSize -> Small, Appearance -> "Labeled", 
         ControlPlacement -> 8}, {{$CellContext`fx$$, 1.5, 
          Style[
           Subscript[$CellContext`F, $CellContext`x], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         9}, {{$CellContext`fy$$, 2.5, 
          Style[
           Subscript[$CellContext`F, $CellContext`y], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         10}, {{$CellContext`fz$$, 1.5, 
          Style[
           Subscript[$CellContext`F, $CellContext`z], Italic]}, -5, 5, 
         ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         11}, {{$CellContext`opa4$$, 1, 
          Text[
           Style[
            
            Row[{"Show Force \!\(\*OverscriptBox[\(F\), \
\(\[RightVector]\)]\)", 
              Spacer[50]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 12}, {{$CellContext`opa5$$, 1, 
          Text[
           Style[
            
            Row[{"Show Moment \!\(\*SubscriptBox[OverscriptBox[\(M\), \(\
\[RightVector]\)], \(o\)]\)", 
              Spacer[30]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 13}, 
        Grid[{{
           Manipulate`Place[1]}, {
           Manipulate`Place[2]}, {
           Row[{
             Text[
              Style[
              "Vector \!\(\*OverscriptBox[\(r\), \
\(\[RightVector]\)]\)=[\!\(\*SubscriptBox[\(r\), \(x\)]\) \!\(\*SubscriptBox[\
\(r\), \(y\)]\) \!\(\*SubscriptBox[\(r\), \(z\)]\)]", 
               RGBColor[0, 
                Rational[2, 3], 0], 12]]}, Alignment -> Left]}, {
           Manipulate`Place[3]}, {
           Manipulate`Place[4]}, {
           Manipulate`Place[5]}, {
           Manipulate`Place[6]}, {
           Manipulate`Place[7]}, {
           Row[{
             Text[
              Style["Radius of Sphere", 
               RGBColor[
                Rational[2, 3], 
                Rational[2, 3], 0], 12]]}, Alignment -> Left]}, {
           Manipulate`Place[8]}, {
           Row[{
             Text[
              Style[
              "Force \!\(\*OverscriptBox[\(F\), \
\(\[RightVector]\)]\)=[\!\(\*SubscriptBox[\(F\), \(x\)]\) \!\(\*SubscriptBox[\
\(F\), \(y\)]\) \!\(\*SubscriptBox[\(F\), \(z\)]\)]", 
               RGBColor[1, 0, 0], 12]]}, Alignment -> Left]}, {
           Manipulate`Place[9]}, {
           Manipulate`Place[10]}, {
           Manipulate`Place[11]}, {
           Manipulate`Place[12]}, {
           Manipulate`Place[13]}}, Alignment -> Left, 
         Spacings -> {Automatic, 0.7}]}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{1005., {400., 409.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 TextAlignment->Center,
 ExpressionUUID -> "b0b5b9e1-8d57-4d76-b088-27eeb86a9cd6"]
}, Open  ]]
},
WindowSize->{1920, 997},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.5 Inherited,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]]}, WindowSize -> {775, 872}, 
  WindowMargins -> {{150, Automatic}, {Automatic, 31}}, FrontEndVersion -> 
  "11.0 for Microsoft Windows (64-bit) (July 28, 2016)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 260, 7, 230, "Title"],
Cell[1749, 44, 2957, 77, 253, "Text"],
Cell[4709, 123, 20848, 428, 833, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature fwpdIsgWJiPi4AwCB6Y1yosx *)
